### Important
---
- This mod requires [AceCoreLib](https://gitlab.com/accensi/hd-addons/acecorelib).

### Notes
---
- FAKs can only be found in backpacks. 
- Loadout code is `fak`.
- There is a chance to gain an assembly core from downgrading weapons.
- Finding all secrets and killing 90% of all monsters in the level will reward you with an assembly core upon exiting the level.
- Cores can also drop from Archviles sometimes and much more often from bosses.

### Vanilla Upgrades
---
Revolver:
- Speedloader: if the cylinder is empty, tapping reload fills it up in one go. Works with 9mm as well.

Hunter:
- Feeder: automatically loads the tube with shells from the side saddles.

Slayer:
- Autoloader: faster reloading.

ZM66:
- Heat Exhaust: prevent cooking off.
- Dejammer: Space age piece of shit. Prevents jamming.

Rocket Launcher:
- Rapid Fire: spammable rocket mode.
- Recoil Dampener: reduces recoil for rocket mode.
- No Safety: removes the minimum distance for rockets and grenades. Allows you to blast stuff at point blank range.

Blooper:
- No Safety: same as above.

Liberator:
- Brass Catcher: catches brass so you don't have to.

Thunderbuster:
- Chiller: allows continuous plasma mode fire.
- Stabilizer: makes plasma mode battery consumption slightly more effective.
- Amplifier: bust faster.

BFG:
- Accelerator: charge batteries faster (only when used on person) and shoot sooner.

Mag Manager:
- Speedloader: no time to explain, must load mags at turbo speed.